Skip to main content
Platform O&M/Automated O&M/XML Hook

CreateVmUserDefinedXmlHookScript

CreateVmUserDefinedXmlHookScript

POST/zstack/v1/vm-instances/xml-hook-script

Operation ID

CreateVmUserDefinedXmlHookScript

Since

5.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The XML Hook name.

    • description
      String

      Optional. The detailed information of the XML Hook.

    • hookScript
      StringRequired

      The XML Hook content.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    XmlHookInventoryRequired

    See inventory

    • uuid
      StringRequired

      The XML Hook UUID.

    • name
      StringRequired

      The XML Hook name.

    • description
      StringRequired

      The detailed information of the XML Hook.

    • hookScript
      StringRequired

      The XML Hook content.

    • libvirtVersion
      StringRequired

      The Libvirt version.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.

    • type
      XmlHookTypeRequired

      See type

      • System
        XmlHookTypeRequired

        The System value.

      • Customization
        XmlHookTypeRequired

        The Customization value.